Mentioning an FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/castsByMention \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/castsByMention"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/castsByMention', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"castAddBody": {
"embedsDeprecated": [
"<string>"
],
"mentions": [
2
],
"text": "<string>",
"mentionsPositions": [
123
],
"embeds": [
{
"castId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
}
}
],
"parentCastId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
},
"parentUrl": "chain://eip155:1/erc721:0x39d89b649ffa044383333d297e325d42d31329b2"
}
}
}
],
"nextPageToken": "AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Casts
Mentioning an FID
Fetch casts mentioning a user.
GET
/
v1
/
castsByMention
Mentioning an FID
Authorizations
API key to authorize requests
Query Parameters
The FID that is mentioned in a cast
Maximum number of messages to return in a single response
Reverse the sort order, returning latest messages first
The page token returned by the previous query, to fetch the next page. If this parameter is empty, fetch the first page
Response
The requested Casts.
Show child attributes
Show child attributes
Base64-encoded pagination token for fetching the next page of results. An empty value indicates there are no more pages to return. Used in conjunction with the pageSize parameter to implement pagination across large result sets.
Pattern:
^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$Example:
"AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
Was this page helpful?
โI